<?php
// Konfigurációs fájlok és külső modulok betöltése 
  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_functions.php");      // Program függvények   
  include("_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();
  
  header("Content-Type: text/html; charset=".$charset);
?>
<html> 
<head> 
<title>Listázás</title> 
<link rel="StyleSheet" type="text/css" href="../style/szoborpark.css" media="screen">
</head> 
<body>
<div id="bezar" align="center" onClick="top.document.getElementById('kiegeszito').style.visibility = 'hidden'" onMouseOver="this.style.cursor='hand'">Bezáráshoz kattintson ide</div>
<div style="height:20px;"></div>
<!-- <div class="cim">Technikák</div> -->

<?php
    // adatok lekérdezése
    $sql1 = "SELECT DISTINCT technika_azon, technika_nev FROM technikak ORDER BY technika_nev";
    $lista1 = mysql_query($sql1)
    or die("Nem sikerült a lekérdezés, MySQL hibaüzenet:" . mysql_error()); 
    $osszesen=mysql_affected_rows();
?>

<table border=0 cellpadding=2 cellspacing=0 width=100%>
<?php
    while ($rekord = mysql_fetch_assoc($lista1)) {
       if ($bg=='bright') $bg='dark';
       else $bg='bright';
       if ($mitcsinal == 'insert') $atadando = $mitcsinal." mualkotas_technikai VALUES (".$id.",".$rekord[technika_azon].")";
       elseif ($mitcsinal == 'update') $atadando = $mitcsinal." mualkotas_technikai SET technika_kod=".$rekord[technika_azon]." WHERE ".$id;
       echo "<tr class='".$bg."_on' onClick=\"futtat('".$atadando."')\" onmouseover=\"className='".$bg."_over';this.style.cursor='hand';\" onMouseOut=\"className='".$bg."_on'\">";
       echo "<td>$rekord[technika_nev]</td>"; 
       echo "</tr>";
   }  
?>
</table>
<script language="Javascript">
function futtat(kod) {
  top.document.getElementById('feldolgozo').style.visibility = 'visible';
  top.frames['feldolgozo_oldal'].location = 'feldolgozo.php?do=run&sql='+kod;
  top.window.location.reload();
  //window.alert('modules/feldolgozo.php?do=run&sql='+kod);
}
</script>
</body>
</html>
